Package com.gpudb.protocol
Class CreateJoinTableRequest.Options
java.lang.Object
com.gpudb.protocol.CreateJoinTableRequest.Options
Enclosing class:
A set of string constants for the
CreateJoinTableRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringMaximum number of records per joined-chunk for this table.static final String[DEPRECATED—please specify the containing schema for the join as part ofjoinTableNameand useGPUdb.createSchemato create the schema if non-existent] Name of a schema for the join.static final StringIfTRUE, a unique temporary table name will be generated in the sys_temp schema and used in place ofjoinTableName.static final StringAllow using the lazy result store to cache computation of one side of a multichunk equi-join.static final StringUse equi-join to do primary key joins rather than using primary key index.static final StringAllow using the lazy result store to cache computation of one side of a multichunk predicate-equi-join.static final StringMaterialize virtual chunks with only non-deleted values.static final StringCollect chunks with accumulated size less than chunk_size into a single chunk.static final Stringstatic final StringNo longer used.static final StringMaximum number of records per virtual-chunk.static final StringMinimum number of records per virtual-chunk.static final StringReturn a count of 0 for the join table for logging and forGPUdb.showTable; optimization needed for large overlapped equi-join stencils.static final StringThe tier strategy for the table and its columns.static final Stringstatic final StringSets the TTL of the join table specified injoinTableName.static final StringView this projection is part of.
Field Details
CREATE_TEMP_TABLE
IfTRUE, a unique temporary table name will be generated in the sys_temp schema and used in place ofjoinTableName. This is always allowed even if the caller does not have permission to create tables. The generated name is returned inQUALIFIED_JOIN_TABLE_NAME. Supported values:The default value isFALSE.See Also:COLLECTION_NAME
[DEPRECATED—please specify the containing schema for the join as part ofjoinTableNameand useGPUdb.createSchemato create the schema if non-existent] Name of a schema for the join. If the schema is non-existent, it will be automatically created. The default value is ”.See Also:NO_COUNT
Return a count of 0 for the join table for logging and forGPUdb.showTable; optimization needed for large overlapped equi-join stencils. The default value is ‘false’.See Also:ENABLE_EQUI_JOIN_LAZY_RESULT_STORE
Allow using the lazy result store to cache computation of one side of a multichunk equi-join. Reduces computation but also reduces parallelism to the number of chunks on the other side of the equi-join.See Also:ENABLE_PREDICATE_EQUI_JOIN_LAZY_RESULT_STORE
Allow using the lazy result store to cache computation of one side of a multichunk predicate-equi-join. Reduces computation but also reduces parallelism to the number of chunks on the other side of the equi-join.See Also: